#include "jgame.h"
#include "jdraw.h"
#include "jinput.h"
#include "jaudio.h"

#include "gamestates.h"

void game::init()
{
    draw::init("Arounders", 320, 200, 3);
    input::init(3);
    audio::init();
    
    game::setUpdateTicks(16);
    game::setConfig("fase", -1);

    gamestate::sequence::init();

/*
    draw::surface *pic = draw::loadSurface("sprites.gif");
    draw::setSource(pic);
    draw::loadPalette("sprites.gif");
    draw::draw(0, 0, 320, 200, 0, 0);
    draw::freeSurface(pic);
    draw::render();
*/
}